FUNCTION::USER_STRIN(3stap)

NAME
function::user_string_nofault - Retrieves string from user space

SYNOPSIS

    user_string_nofault:string(addr:long)

ARGUMENTS

addr
    the user space address to retrieve the string from

DESCRIPTION

Returns the null terminated C string from a given user space memory address. Returns the empty string if userspace data is not accessible.

SEE ALSO
tapset::uconversions(3stap)